WinStd Windows Win32 API using Standard C++

Loading...
Searching...
No Matches
Public Member Functions | Static Protected Member Functions | List of all members
winstd::ws2_runtime_error Class Reference
WinSock2 API

WinSock2 runtime error. More...

`#include <WinStd/WinSock2.h>`

Inheritance diagram for winstd::ws2_runtime_error:

## Public Member Functions
| ws2_runtime_error (error_type num)
| Constructs an exception.
| ws2_runtime_error (error_type num, const std::string &msg)
| Constructs an exception.
| ws2_runtime_error (error_type num, const char *msg)
| Constructs an exception.
| ws2_runtime_error ()
| Constructs an exception using `WSAGetLastError()`
| ws2_runtime_error (const std::string &msg)
| Constructs an exception using `WSAGetLastError()`
| ws2_runtime_error (const char *msg)
| Constructs an exception using `WSAGetLastError()`
Public Member Functions inherited from winstd::num_runtime_error< int >
| num_runtime_error (error_type num, const std::string &msg)
| Constructs an exception.
| num_runtime_error (error_type num, const char *msg=nullptr)
| Constructs an exception.
error_type | number () const
| Returns the error number.

## Static Protected Member Functions
static std::string | message (error_type num, DWORD dwLanguageId=0)
| Returns a user-readable Windows error message.

## Additional Inherited Members
Public Types inherited from winstd::num_runtime_error< int >
typedef int | error_type
| Error number type.
Protected Attributes inherited from winstd::num_runtime_error< int >
error_type | m_num
| Numeric error code.

## Detailed Description

WinSock2 runtime error.

## Constructor & Destructor Documentation

## ◆ ws2_runtime_error() [1/5]

winstd::ws2_runtime_error::ws2_runtime_error | ( | error_type | num | ) |
| inline

Constructs an exception.

Parameters

  [in] | num | WinSock2 error code

## ◆ ws2_runtime_error() [2/5]

winstd::ws2_runtime_error::ws2_runtime_error | ( | error_type | num,
|  | const std::string & | msg )
| inline

Constructs an exception.

Parameters

  [in] | num | WinSock2 error code
  [in] | msg | Error message

## ◆ ws2_runtime_error() [3/5]

winstd::ws2_runtime_error::ws2_runtime_error | ( | error_type | num,
|  | const char * | msg )
| inline

Constructs an exception.

Parameters

  [in] | num | WinSock2 error code
  [in] | msg | Error message

## ◆ ws2_runtime_error() [4/5]

winstd::ws2_runtime_error::ws2_runtime_error | ( | const std::string & | msg | ) |
| inline

Constructs an exception using `WSAGetLastError()`

Parameters

  [in] | msg | Error message

## ◆ ws2_runtime_error() [5/5]

winstd::ws2_runtime_error::ws2_runtime_error | ( | const char * | msg | ) |
| inline

Constructs an exception using `WSAGetLastError()`

Parameters

  [in] | msg | Error message

## Member Function Documentation

## ◆ message()

static std::string winstd::ws2_runtime_error::message | ( | error_type | num,
|  | DWORD | dwLanguageId = 0 )
| inline static protected

Returns a user-readable Windows error message.

See also
  FormatMessage function

The documentation for this class was generated from the following file:

- include/WinStd/WinSock2.h